%define name biopython
%define version 1.40
%define release 0.20050331.1mdk

Summary: The Biopython Project
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://biopython.org/files/%{name}-%{version}.tar.bz2
License: BSD
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://www.biopython.org/
BuildRequires: python
BuildRequires: libpython-devel
BuildRequires: python-numeric-devel
BuildRequires: egenix-mx-base
BuildRequires: python-reportlab
BuildRequires: gcc
BuildRequires: epydoc
BuildRequires: dos2unix
Requires: python-numeric
Requires: python-reportlab
Requires: egenix-mx-base
Requires: %{name}-martel = %{version}

%package tools
Summary: Regression testing code and miscellaneous, possibly useful, standalone scripts
Requires: %{name} = %{version}
Group: Sciences/Biology

%package martel
Summary: Biopython parser generator
Group: Development/Python

%package biosql
Summary: Code for using Biopython with BioSQL databases
Requires: %{name} = %{version}
Group: Development/Python
Requires: pyPgSQL
Requires: MySQL-python

%package doc
Summary: The Biopython Project documentation
Group: Development/Python
Requires: %{name} = %{version}

%description
     "The Biopython Project" - http://www.biopython.org/ is an
international association of developers of freely available Python
tools for computational molecular biology.

biopython.org provides an online resource for modules, scripts, and
web links for developers of Python-based software for life science
research.

%description tools
     "The Biopython Project" - http://www.biopython.org/ is an
international association of developers of freely available Python
tools for computational molecular biology.

%description martel
Martel uses a modified form of the Perl regular expression language to 
describe the format of a file. The definition is used to generate a 
parser for that format. An input file is converted into a parse tree, 
which is traversed in prefix order to generate SAX 2.0 events, as used 
in XML processing. Element names and attributes are specified in the 
regular expression grammar using the named group extension popularized 
by Python. 

The events can be used by any SAX handler. Some of the common handlers 
can: build a DOM tree or any other data structures, load an XML database,
identify specific data fields (accession number, sequence, cross 
reference), find the record start and end positions, and drive an XSL 
transformation. 

%description biosql
BioSQL is meant to be a common data storage layer supported by all the
different Bio* projects, Bioperl, Biojava, Biopython, and Bioruby.
Entries stored through an application written in, say, Bioperl could
be retrieved by another written in Biojava.

%description doc
     "The Biopython Project" - http://www.biopython.org/ is an
international association of developers of freely available Python
tools for computational molecular biology.

biopython.org provides an online resource for modules, scripts, and
web links for developers of Python-based software for life science
research.


%prep
%setup -q

rm -f Tests/CodonUsage/.DS_Store
# remove CVS dirs
find -type d -name CVS | xargs rm -rf 
# convert wrong end of line
find -type f -exec dos2unix -U {} \;


%build
python setup.py build

# build api
epydoc -o api Bio Martel BioSQL


%install
python setup.py install --root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%_datadir/%{name}-%{version} 
cp -r Tests Scripts $RPM_BUILD_ROOT/%_datadir/%{name}-%{version}



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%_libdir/python%{pyver}/site-packages/Bio
%doc CONTRIB LICENSE NEWS README


%files tools
%defattr(-,root,root,0755)
%_datadir/%{name}-%{version}/Tests
%_datadir/%{name}-%{version}/Scripts


%files martel
%defattr(-,root,root,0755)
%_libdir/python%{pyver}/site-packages/Martel
%doc LICENSE


%files biosql
%defattr(-,root,root,0755)
%_libdir/python%{pyver}/site-packages/BioSQL
%doc LICENSE

%files doc
%defattr(-,root,root,0755)
%doc Doc/*
%doc api

%changelog
* Thu Mar 31 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 1.40-0.20050331.1mdk
- cvs update

* Sun Mar 20 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 1.40-0.cvs20050320.1mdk
- cvs update

* Sun Mar  6 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.40-0.cvs20050306.1mdk
- cvs update

* Tue Feb 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.40-0.cvs20050222.1mdk
- cvs update

* Thu Feb 17 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.40-0.cvs20050217.1mdk
- cvs update
- add build section
- fix some lint

* Tue Feb 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.40-0.cvs20050215.1mdk
- 1.40 cvs

* Thu Feb 10 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.30-3mdk 
- patch for python 2.4 (from freshports.org)
- fix path for python 2.4
- add api
- fix some lints

* Fri Oct 15 2004 Michael Scherer <misc@mandrake.org> 1.30-2mdk 
- fix Requires, #12092
- fix BuildRequires

* Tue Aug 31 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.30-1mdk
- from Gaetan Lehmann <glehmann@netcourrier.com> :
	- Create package from scratch for mandrake system

